Subject: Re: SEGV in git-merge recursive:

From: Tom Prince <[email-masked]>
Date: Thu, 29 Mar 2007 23:55:46 +0400

On Thu, Mar 29, 2007 at 08:32:37PM +0200, Alex Riesen wrote:
> Alex Riesen, Thu, Mar 29, 2007 17:04:31 +0200:
> > CONFLICT (rename/rename): Rename 1->a in branch HEAD rename 1->b in B
> > Automatic merge failed; fix conflicts and then commit the result.
> > 
> > Tom, either the stack trace of -O0 -ggdb or your repo is badly needed.
> > The stack preferred, as I have that feeling it'll just work everywhere
> > else but your system (can you try it somewhere else, BTW?).
> 
> Ok-key... Thanks Tom, for the testcase. I believe we haven't had this
> one yet: the merge base in the second (inner) merge is the initial
> commit. Which is strange:

The actual case that caused the error didn't have the initial commit, I
used cg-admin-rewritehist to create a (slightly) smaller test case that
exhibited the behavior.

  Tom